Reklam

* E Posta Adresiniz:
* Kodu Girin:

2D Polyline 'ı 3D Polyline yapan lisp


ehya - 23.08.2005 16:12
Yazar: ehya
İçerik:

(Kontrol panelinizde görünür)
Lwpolyline olan nesneyi 3dpolyline yapan lisp

Buraya tıklayarak açılan pencereden AutoLISP kodlarını Ctrl + C ile kopyalayabilirsiniz

Kod:

(defun c:23p (/ data i pt)
  (setq
    data (entget (setq sil (car (entsel "
Lwpolyline'ı seçiniz:"))))
  )
  (setq data_tan (cdr (assoc 0 data)))
  (if (/= data_tan "LWPOLYLINE")
    (progn (princ "
Seçilen nesne Lwpolyline değil..."))
    (progn
      (command "3dpoly")
      (while (setq pt (assoc 10 data))
(setq data (cdr (member pt data)))
(setq pt_x (cadr pt)
      pt_y (caddr pt)
)
(setq ptt (list pt_x pt_y 0.00))
(command ptt)
      )

      (command "")
      (entdel sil)
    )
  )
  (princ)
)(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")

Bu kodları nasıl kullanacağınızı bilmiyorsanız aşağıdaki linkten;
AutoLISP > Konu Anlatımları > Lisp Dosyalarının oluşturulması ve Yüklenmesi
konusunu inceleyiniz.
Yorumlar :
Henüz yorum yapılmamış
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 1354 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam